public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/vcrpy/
Date: Sat, 10 Oct 2020 05:54:59 +0000 (UTC)	[thread overview]
Message-ID: <1602309231.c0385de165ccbecafe4c0fac6945127923f05d09.mgorny@gentoo> (raw)

commit:     c0385de165ccbecafe4c0fac6945127923f05d09
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 05:33:16 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 05:53:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0385de1

dev-python/vcrpy: Bump to 4.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/vcrpy/Manifest           |  1 +
 dev-python/vcrpy/vcrpy-4.1.1.ebuild | 51 +++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 7b8263e40cd..689c02bcb00 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1 +1,2 @@
 DIST vcrpy-4.1.0.tar.gz 330122 BLAKE2B a7a2516d4dfcc01da801fb8685ea3b56f50ce474d35477ae36785ea1bfbae113bd3c18fb3faadb13fc81c37fa1d282a84bc60fdd27f4fc4a1f3e952312d7bc5f SHA512 7ad5517cd52f6f31448db9b608d8a7b274741727487ede21b7f80e4060e3ddbb34c731166f67ae7136c86a8d3e7fd23128e035a148f18f771066bfa71319624f
+DIST vcrpy-4.1.1.tar.gz 329508 BLAKE2B b6981150a8fd742301e0d7897d84855c741c97307bbb5c5751680f3d33d69d6333a18d714fcc14cb018f5dd6c02e840e1313136660c4459e2755d448fc0b07e9 SHA512 afa1904bff37bfd2d278ed49fa3982a357eb6bb113818b532044da0f11a9dd877cc152d7f0d81d88bdc0f870521b1241f6aecf959f668211904e3c6c7cea4ad8

diff --git a/dev-python/vcrpy/vcrpy-4.1.1.ebuild b/dev-python/vcrpy/vcrpy-4.1.1.ebuild
new file mode 100644
index 00000000000..e28175b7cb1
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-4.1.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed up testing"
+HOMEPAGE="https://github.com/kevin1024/vcrpy"
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	>=dev-python/six-1.5[${PYTHON_USEDEP}]
+	dev-python/urllib3[${PYTHON_USEDEP}]
+	dev-python/wrapt[${PYTHON_USEDEP}]
+	dev-python/yarl[${PYTHON_USEDEP}]
+	"
+BDEPEND="
+	test? (
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# tests requiring Internet
+	rm tests/integration/test_aiohttp.py || die
+	rm tests/integration/test_boto.py || die
+	sed -e 's:test_flickr_should_respond_with_200:_&:' \
+		-e 's:test_amazon_doctype:_&:' \
+		-i tests/integration/test_wild.py || die
+	sed -e 's:testing_connect:_&:' \
+		-i tests/unit/test_stubs.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local -x REQUESTS_CA_BUNDLE=$("${EPYTHON}" -m pytest_httpbin.certs)
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-10-10  5:55 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-10  5:54 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07 21:37 [gentoo-commits] repo/gentoo:master commit in: dev-python/vcrpy/ Sebastian Pipping
2024-08-24 13:11 Michał Górny
2024-08-24 10:45 Sam James
2024-08-03 14:33 Michał Górny
2024-06-28 19:20 Michał Górny
2024-02-11 11:11 Sam James
2024-01-26  5:39 Michał Górny
2024-01-23 18:18 Arthur Zamarin
2023-09-01 17:05 Michał Górny
2023-09-01 16:52 Arthur Zamarin
2023-07-31  7:13 Michał Górny
2023-07-28  9:26 Michał Górny
2023-07-28  7:56 Sam James
2023-06-27 12:03 Michał Górny
2023-06-27  6:43 Sam James
2023-06-27  6:43 Sam James
2023-06-26 22:31 Sebastian Pipping
2023-06-26 16:21 Sebastian Pipping
2023-05-26 16:45 Michał Górny
2023-05-26 13:29 Sebastian Pipping
2023-05-23 12:55 Sam James
2023-05-23 12:48 Sebastian Pipping
2022-12-17  6:40 WANG Xuerui
2022-10-03  6:36 Michał Górny
2022-10-02 19:24 Arthur Zamarin
2022-09-01 19:42 Arthur Zamarin
2022-08-02 19:05 Michał Górny
2022-08-02 18:47 Arthur Zamarin
2022-06-30  4:27 Michał Górny
2022-06-21 20:14 Michał Górny
2022-06-21 19:18 Arthur Zamarin
2022-05-18  6:59 Michał Górny
2022-05-18  6:59 Michał Górny
2021-07-02 18:59 Michał Górny
2021-05-31 10:43 Marek Szuba
2020-11-28  8:07 Sam James
2020-11-15  7:54 Michał Górny
2020-11-15  5:19 Sam James
2020-09-18 15:53 Michał Górny
2020-09-09  0:16 Sam James
2020-09-08 19:11 Michał Górny
2020-09-04  8:57 Sergei Trofimovich
2020-08-01 10:09 Michał Górny
2020-07-16 12:50 Sam James
2020-07-16  4:18 Sam James
2020-06-04 14:10 Sergei Trofimovich
2020-06-01  6:59 Sergei Trofimovich
2020-05-31 23:46 Matt Turner
2020-05-30  7:40 Michał Górny
2020-05-11 17:48 Michał Górny
2020-05-04 14:38 Agostino Sarubbo
2020-05-04 13:34 Agostino Sarubbo
2020-05-04 12:34 Michał Górny
2020-05-02 13:30 Mart Raudsepp
2020-04-08 14:05 Agostino Sarubbo
2020-04-08 14:01 Agostino Sarubbo
2020-04-08 13:36 Agostino Sarubbo
2020-04-08 12:46 Agostino Sarubbo
2020-04-07  7:03 Georgy Yakovlev
2020-03-19 13:25 Michał Górny
2020-03-17  8:08 Michał Górny
2019-12-29  8:53 David Seifert
2018-06-25 23:20 Thomas Deutschmann
2018-06-24  9:46 Pacho Ramos
2018-05-21 14:14 Sebastian Pipping
2017-07-23 11:54 Michael Palimaka
2017-07-23 11:40 Manuel Rüger
2017-05-30 13:38 Manuel Rüger
2017-05-15 16:44 Manuel Rüger
2017-05-02  8:47 Michał Górny
2017-04-15 21:36 Manuel Rüger
2017-01-23 18:16 Manuel Rüger
2017-01-21 18:54 Agostino Sarubbo
2016-12-20 15:19 Tobias Klausmann
2016-11-14 18:42 Manuel Rüger
2016-09-04 22:36 Manuel Rüger
2015-10-19 16:29 Justin Lecher
2015-09-16  8:53 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602309231.c0385de165ccbecafe4c0fac6945127923f05d09.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox